Summary:	Shim pytest plugin to enable celery.contrib.pytest
Summary(pl.UTF-8):	Minimalna wtyczka pytesta włączająca celery.contrib.pytest
Name:		python-pytest-celery
Version:	0.0.0
Release:	4
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pytest-celery/
Source0:	https://files.pythonhosted.org/packages/source/p/pytest-celery/pytest-celery-%{version}.tar.gz
# Source0-md5:	8ef15c46fe2da8ba836cde3ada776a7a
URL:		https://pypi.org/project/pytest-celery/
BuildRequires:	python-modules >= 1:2.5
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	sed >= 4.0
Requires:	python-modules >= 1:2.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Shim pytest plugin to enable celery.contrib.pytest.

%description -l pl.UTF-8
Minimalna wtyczka pytesta włączająca celery.contrib.pytest.

%prep
%setup -q -n pytest-celery-%{version}

# change to setuptools to generate egg dependencies
%{__sed} -i -e 's,from distutils\.core,from setuptools,' setup.py

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE
%{py_sitescriptdir}/pytest_celery.py[co]
%{py_sitescriptdir}/pytest_celery-%{version}-py*.egg-info
%changelog
* Wed Apr 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pytest-celery.git;a=log;h=master

* Wed Apr 30 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> d43980a
- Fixed rel (4)

* Wed Apr 30 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 7f86aa0
- Rel 2; python3 in python3-pytest-celery.spec

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 7958bbd
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 7f82c9d
- python 3.13 rebuild

* Sat Dec 09 2023 Jakub Bogusz <qboosh@pld-linux.org> a0d5317
- new

